<?php

namespace WpieFw\Modules\Definition;

use WpieFw\Framework\Patterns\Definition\WpieDefinition;

if( ! defined( 'ABSPATH' ) ) exit;

final class WpieModulesDefinition extends WpieDefinition
{
	const MOD_FILES = 'mod_files';

	/**
	 * Constructor
	 *
	 * @param array $definitions
	 */
	public function __construct( array $definitions = [] )
	{
		$map = [
			'files' => self::MOD_FILES,
		];

		parent::__construct( $map, $definitions );
	}
}